Index: Makefile.PL
--- Makefile.PL.orig	2005-06-20 14:45:11 +0200
+++ Makefile.PL	2005-06-21 21:02:43 +0200
@@ -7,34 +7,6 @@
 use ExtUtils::MakeMaker;
 use Config;
 use strict;
-eval {
-    require DBD::SQLite;
-    if ($DBD::SQLite::VERSION < 1.0) {
-        print <<EOT;
-
-**** WARNING **** WARNING **** WARNING **** WARNING **** WARNING ****
-
-Your version of DBD::SQLite currently installed ($DBD::SQLite::VERSION) uses
-the old sqlite database format. This version of DBD::SQLite will *NOT*
-open these files, and installing this module may cause problems on your
-system. If this is a live environment you should upgrade with caution.
-
-To upgrade a database, download and install both sqlite 2.x and 3.x from
-http://www.sqlite.org/ and issue:
-
-  sqlite OLD.DB .dump | sqlite3 NEW.DB
-
-DBD::SQLite will NOT automatically upgrade a database for you, and using
-this version against an old SQLite database WILL lead to database
-corruption.
-
-EOT
-        if (prompt("Continue?", "N") !~ /^y/i) {
-            print "Exiting\n";
-            exit -1;
-        }
-    }
-};
 
 # 2005/6/19, by rjray@blackperl.com
 #
@@ -113,8 +85,9 @@
     'VERSION_FROM'  => 'lib/DBD/SQLite.pm', # finds $VERSION
     'PREREQ_PM'     => {DBI => 1.21}, # e.g., Module::Name => 1.1
     'OBJECT'        => ($force_local) ? '$(O_FILES)' : 'SQLite.o dbdimp.o',
-    'INC'           => '-I. -I$(DBI_INSTARCH_DIR)' .
+    'INC'           => '-I@l_prefix@/include -I$(DBI_INSTARCH_DIR)' .
                        (($sqlite_inc) ? " -I$sqlite_inc" : ''),
+    'LIBS'          => ['-L@l_prefix@/lib -lsqlite3'],
     $force_local ? () : ('LIBS' => '-lsqlite3'),
     $sqlite_lib  ? ('dynamic_lib' => { OTHERLDFLAGS => "-L$sqlite_lib" }) : (),
     'OPTIMIZE'      => "-O2",
Index: dbdimp.h
--- dbdimp.h.orig	2004-09-10 17:24:28 +0200
+++ dbdimp.h	2005-06-21 21:01:54 +0200
@@ -4,7 +4,7 @@
 #define _DBDIMP_H   1
 
 #include "SQLiteXS.h"
-#include "sqliteInt.h"
+#include "sqlite3.h"
 
 /* 30 second timeout by default */
 #define SQL_TIMEOUT 30000
